module one_pulse(PB_single_pulse,PB_debounced, CLK);
input PB_debounced,CLK;
output PB_single_pulse;
reg PB_single_pulse, delay;

always @ (posedge CLK)
begin
	if (PB_debounced & ~delay) PB_single_pulse <= 1;
	else PB_single_pulse <= 0;
	delay <= PB_debounced;
end 
endmodule
